package com.ym.mec.education.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.education.base.BaseResponse;
import com.ym.mec.education.base.PageResponse;
import com.ym.mec.education.entity.ClassGroupStudentMapper;
import com.ym.mec.education.req.ClassGroupReq;
import com.ym.mec.education.req.StudentReq;
import com.ym.mec.education.req.TeacherReq;
import com.ym.mec.education.resp.ClassStudentResp;
import java.util.List;

/**
 * <p>
 * 班级、学生关系表 服务类
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
public interface IClassGroupStudentMapperService extends IService<ClassGroupStudentMapper> {

    PageResponse getPage(ClassGroupReq classGroupReq);

    List<ClassStudentResp> selectStudentPage(ClassGroupReq classGroupReq);

    int selectStudentPageCount(ClassGroupReq classGroupReq);

    Page<ClassGroupStudentMapper> selectPageByCondition(ClassGroupReq classGroupReq);

    PageResponse getPageByTeacher(StudentReq studentReq);

    BaseResponse getInfo(StudentReq studentReq);
}
